PROCDUMP(1)

NAME
procdump - generate core dumps based off performance triggers

SYNOPSIS
procdump [OPTIONS...] TARGET

DESCRIPTION
procdump is a Linux reimagining of the class ProcDump tool from the Sysinternals suite of tools for Windows. Procdump provides a convenient way for Linux developers to create core dumps of their application based on performance triggers.

OPTIONS
-h  Displays a summary of the command-line usage of procdump
-C  Trigger core dump generation when CPU exceeds or equals specified value (0 to 100 * nCPU)
-c  Trigger core dump generation when CPU is less than specified value (0 to 100 * nCPU)
-M  Trigger core dump generation when memory commit exceeds or equals specified value (MB)
-m  Trigger core dump generation when when memory commit is less than specified value (MB)
-T  Trigger when thread count exceeds or equals specified value.
-F  Trigger when filedescriptor count exceeds or equals specified value.
-I  Polling frequency in milliseconds (default is 1000)
-n  Number of core dumps to write before exiting (default is 1)
-s  Consecutive seconds before dump is written (default is 10)
-o  Path and/or filename prefix where the core dump is written to
-d  Writes diagnostic logs to syslog

TARGET must be exactly one of these:
-p  pid of the process
-w  Name of the process executable

COPYRIGHT
Copyright (C) 2019 Microsoft Corporation. All rights reserved. Licensed under the MIT license.